速報
» 2004年05月18日 08時05分 UPDATE

Mac OS Xに深刻な脆弱性

Mac OS X上で動くInternet Explorer(IE)5.xおよびSafari 1.xに影響を与える脆弱性が見つかった。「ヘルプ」URIハンドラーの問題が原因で、任意のローカルスクリプトを実行される恐れがある。

[ITmedia]

 Mac OS Xに重大な危険を伴う脆弱性が見つかったとしてセキュリティ企業のSecuniaが5月17日、アドバイザリーを公表した。悪用されると不正なWebサイトを通じてシステムを乗っ取られる可能性があるとしている。

 この問題はlixlpixelが発見したもので、影響を受けるのはMac OS X上で動くInternet Explorer(IE)5.xおよびSafari 1.x。「ヘルプ」URIハンドラーの問題が原因で、任意のローカルスクリプトを実行される恐れがある。

 報告によれば、Safariブラウザがデフォルトのまま、「安全なファイルをダウンロード後に開く」設定になっている場合、「.dmg」(ディスクイメージ)ファイルのダウンロードを促すことで、スクリプトファイルなど任意のファイルをユーザーのシステム上に置くことが可能になる。

 Secuniaはこれまでに、Safari 1.2.1(バージョン125.1)とIE 5.2を使っているMac OS Xでこの問題を確認したとしている。

 Secuniaでは問題の回避策として、Safariの設定で「安全なファイルをダウンロード後に開く」のチェックを外し、ヘルプURIハンドラの名称を変更することなどを推奨している。

Copyright© 2016 ITmedia, Inc. All Rights Reserved.

Loading

ピックアップコンテンツ

- PR -